# Interface DataSourceJsonBase

Base class for DataSource. See https://developers.arcgis.com/web-map-specification/objects/dataSource/ https://developers.arcgis.com/web-scene-specification/objects/dataSource/.

interface DataSourceJsonBase {
type:
| "raster"
| "joinTable"
| "queryTable"
| "table";
workspaceId?: string;
}

#### Hierarchy (view full)

- DataSourceJsonBase
  - JoinTableDataSourceJson
  - QueryTableDataSourceJson
  - RasterDataSourceJson
  - TableDataSourceJson

#####
Index

### Properties

type
workspaceId?

##
Properties

### type

type:
| "raster"
| "joinTable"
| "queryTable"
| "table"

Type of the DataSource.

### `Optional` workspaceId

workspaceId?: string

The unique string value used to identify the data-source's workspace.